Publishing details

Changelog

puppet (0.25.4-2ubuntu6.8) lucid-security; urgency=low

  * SECURITY UPDATE: multiple July 2012 security issues
    - Backported from upstream patch for 2.6.4.
    - CVE-2012-3864: arbitrary file read on master from authenticated
      clients
    - CVE-2012-3865: arbitrary file delete or denial of service on master
      from authenticated clients
    - CVE-2012-3867: insufficient input validation for agent cert hostnames
 -- Marc Deslauriers <email address hidden>   Thu, 12 Jul 2012 07:56:24 -0400

Available diffs

Builds

Built packages

Package files